Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.tiff
Class TiffException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              edu.harvard.hul.ois.jhove.module.tiff.TiffException

All Implemented Interfaces:
  java.io.Serializable

    public final class TiffException

extends java.lang.Exception

Exception subclass used internally by the TIFF module.

See Also:
  Serialized Form

Constructor Summary
`TiffException(java.lang.String m)` Create a TiffException.
`TiffException(java.lang.String m, long offset)` Create a TiffException with specified offset.

Method Summary
`long` | `getOffset()` Returns the offset at which the exception occurred.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TiffException

    public TiffException(java.lang.String m)

  Create a TiffException.

### TiffException

    public TiffException(java.lang.String m,
                         long offset)

  Create a TiffException with specified offset.

Method Detail

### getOffset

    public long getOffset()

  Returns the offset at which the exception occurred.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD